@import '_content/RazorComponentLibrary/RazorComponentLibrary.bundle.scp.css';

/* /Article/Views/ArticleMain.razor.rz.scp.css */
@charset "UTF-8";
/* メインレイアウト */
div#MainLayoutMain[b-qqyqi4c1ru] {
  display: block;
  margin: 0px;
}

/* 記事一覧 */
div#ArticleTileList[b-qqyqi4c1ru] {
  display: block;
  padding: 10px 20px 10px 20px;
}
div#ArticleTileList div#ArticleCardLayout[b-qqyqi4c1ru] {
  box-sizing: border-box;
}
div#ArticleTileList div#ArticleCardLayout div.ArticleCardList[b-qqyqi4c1ru] {
  box-sizing: border-box;
  padding: 10px 10px 10px 10px;
  float: left;
}
/* /FirstPage/Views/FirstPageMain.razor.rz.scp.css */
@charset "UTF-8";
/* メインレイアウト */
div#MainLayoutMain[b-0fr6o9qoj5] {
  display: grid;
  margin: 0px;
  /* デスクトップなどで確実に画面高いっぱいにする */
  height: 100vh;
  /* モバイルのアドレスバー変動に強い最新単位も併用推奨 */
  min-height: 100svh;
  grid-template-rows: minmax(0, 1fr) 7px;
  grid-template-columns: 1fr;
  background: #fff6ff;
}
div#MainLayoutMain div#FirstPageMain[b-0fr6o9qoj5] {
  display: grid;
  grid-row: 1/2;
  grid-column: 1/1;
}
div#MainLayoutMain #UnderLine[b-0fr6o9qoj5] {
  grid-row: 2/3;
  grid-column: 1/1;
}

/* 全体 */
div#FirstPageMain[b-0fr6o9qoj5] {
  display: grid;
  margin: 0px;
  grid-template-rows: 20px minmax(0, 1fr);
  grid-template-columns: 1fr;
}
div#FirstPageMain header[b-0fr6o9qoj5] {
  display: grid;
  grid-row: 1/2;
  grid-column: 1/1;
  background: black;
}
div#FirstPageMain header span[b-0fr6o9qoj5] {
  font-size: 18px;
  font-family: "Yu Gothic UI Semibold";
  color: white;
  margin: -3px 0px 0px 10px;
}
div#FirstPageMain main[b-0fr6o9qoj5] {
  display: grid;
  grid-row: 2/3;
  grid-column: 1/1;
  grid-template-rows: 150px 50px 40px minmax(0, 1fr) 139px;
  grid-template-columns: 1fr;
}
div#FirstPageMain main #Title[b-0fr6o9qoj5] {
  display: grid;
  grid-row: 1/2;
  grid-column: 1/1;
  justify-items: center;
  align-items: center;
}
div#FirstPageMain main #SchoolName[b-0fr6o9qoj5] {
  display: grid;
  grid-row: 2/3;
  grid-column: 1/1;
  justify-items: center;
  align-items: center;
}
div#FirstPageMain main #SurName[b-0fr6o9qoj5] {
  display: grid;
  grid-row: 3/4;
  grid-column: 1/1;
  justify-items: center;
  align-items: center;
}
div#FirstPageMain main #ButtonArea[b-0fr6o9qoj5] {
  display: grid;
  grid-row: 4/5;
  grid-column: 1/1;
  grid-template-rows: 1fr;
  grid-template-columns: 1fr 1fr;
}
div#FirstPageMain main #ButtonArea #ShowContractSchoolManagement[b-0fr6o9qoj5] {
  display: grid;
  grid-row: 1/1;
  grid-column: 1/2;
  margin: 50px 50px 0px 150px;
  justify-items: center;
  align-items: center;
}
div#FirstPageMain main #ButtonArea #ShowContractUserManagement[b-0fr6o9qoj5] {
  display: grid;
  grid-row: 1/1;
  grid-column: 2/3;
  margin: 50px 150px 0px 50px;
  justify-items: center;
  align-items: center;
}
div#FirstPageMain main #CompanyName[b-0fr6o9qoj5] {
  display: grid;
  grid-row: 5/6;
  grid-column: 1/1;
  margin: 0px 0px 0px 0px;
  grid-template-rows: 1fr;
  grid-template-columns: 1fr 100px 250px;
}
div#FirstPageMain main #CompanyName #CompanyLogoMark[b-0fr6o9qoj5] {
  display: grid;
  grid-row: 1/1;
  grid-column: 2/3;
  margin: 74px 0px 0px 78px;
  justify-items: start;
  align-items: start;
}
div#FirstPageMain main #CompanyName #CompanyLogoName[b-0fr6o9qoj5] {
  display: grid;
  grid-row: 1/1;
  grid-column: 3/4;
  margin: 90px 0px 0px 40px;
  justify-items: start;
  align-items: start;
}
/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-ul5rilts0u] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-ul5rilts0u] {
    flex: 1;
}

.sidebar[b-ul5rilts0u] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-ul5rilts0u] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-ul5rilts0u]  a, .top-row[b-ul5rilts0u]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-ul5rilts0u]  a:hover, .top-row[b-ul5rilts0u]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-ul5rilts0u]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-ul5rilts0u] {
        justify-content: space-between;
    }

    .top-row[b-ul5rilts0u]  a, .top-row[b-ul5rilts0u]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-ul5rilts0u] {
        flex-direction: row;
    }

    .sidebar[b-ul5rilts0u] {
        width: 250px;
        /* デスクトップなどで確実に画面高いっぱいにする */
        height: 100vh;
        /* モバイルのアドレスバー変動に強い最新単位も併用推奨 */
        min-height: 100svh;
        position: sticky;
        top: 0;
    }

    .top-row[b-ul5rilts0u] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-ul5rilts0u]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-ul5rilts0u], article[b-ul5rilts0u] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-pwkwuxn5ik] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-pwkwuxn5ik] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-pwkwuxn5ik] {
    font-size: 1.1rem;
}

.bi[b-pwkwuxn5ik] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-pwkwuxn5ik] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-pwkwuxn5ik] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-pwkwuxn5ik] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-pwkwuxn5ik] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-pwkwuxn5ik] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-pwkwuxn5ik] {
        padding-bottom: 1rem;
    }

    .nav-item[b-pwkwuxn5ik]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-pwkwuxn5ik]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-pwkwuxn5ik]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-pwkwuxn5ik] {
        display: none;
    }

    .collapse[b-pwkwuxn5ik] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
    
    .nav-scrollable[b-pwkwuxn5ik] {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* /Pages/Home.razor.rz.scp.css */
@charset "UTF-8";
/* メインレイアウト */
div#MainLayoutMain[b-2tra9pge7d] {
  display: grid;
  margin: 0px;
  /* デスクトップなどで確実に画面高いっぱいにする */
  height: 100vh;
  /* モバイルのアドレスバー変動に強い最新単位も併用推奨 */
  min-height: 100svh;
  grid-template-rows: minmax(0, 1fr) 7px;
  grid-template-columns: 1fr;
  background: #fff6ff;
  background-image: url("/images/HomeBackground.png");
  background-size: cover; /* 完全に覆うように拡大縮小 */
  background-position: center; /* 中央配置 */
  background-repeat: no-repeat; /* 繰り返しなし */
}
div#MainLayoutMain div#HomeLayoutMain[b-2tra9pge7d] {
  display: grid;
  grid-row: 1/2;
  grid-column: 1/1;
}
div#MainLayoutMain #UnderLine[b-2tra9pge7d] {
  grid-row: 2/3;
  grid-column: 1/1;
}

div#HomeLayoutMain[b-2tra9pge7d] {
  display: grid;
  margin: 0px;
  grid-template-rows: 20px minmax(0, 1fr);
  grid-template-columns: 1fr;
}
div#HomeLayoutMain header[b-2tra9pge7d] {
  display: grid;
  grid-row: 1/2;
  grid-column: 1/1;
  background: black;
}
div#HomeLayoutMain header span[b-2tra9pge7d] {
  font-size: 18px;
  font-family: "Yu Gothic UI Semibold";
  color: white;
  margin: -3px 0px 0px 10px;
}
div#HomeLayoutMain main[b-2tra9pge7d] {
  display: grid;
  grid-row: 2/3;
  grid-column: 1/1;
  grid-template-rows: 1.3fr minmax(0, 1fr) 1fr minmax(0, 1fr) 1.2fr;
  grid-template-columns: 1fr;
}
div#HomeLayoutMain main #Title[b-2tra9pge7d] {
  display: grid;
  grid-row: 1/2;
  grid-column: 1/1;
  justify-items: center;
  align-items: center;
}
div#HomeLayoutMain main #Space1[b-2tra9pge7d] {
  display: grid;
  grid-row: 2/3;
  grid-column: 1/1;
  justify-items: center;
  align-items: start;
}
div#HomeLayoutMain main #Space1 p[b-2tra9pge7d] {
  margin: 50px 0px 0px 0px;
  font-size: 38px;
  font-weight: 600;
}
div#HomeLayoutMain main #LoginButton[b-2tra9pge7d] {
  display: grid;
  grid-row: 3/4;
  grid-column: 1/1;
  justify-items: center;
  align-items: center;
}
div#HomeLayoutMain main #CompanyName[b-2tra9pge7d] {
  display: grid;
  grid-row: 4/5;
  grid-column: 1/1;
  margin: 0px 0px 0px 0px;
  grid-template-rows: 1fr;
  grid-template-columns: 3fr 100px 250px 1fr;
}
div#HomeLayoutMain main #CompanyName #CompanyLogoMark[b-2tra9pge7d] {
  display: grid;
  grid-row: 1/1;
  grid-column: 2/3;
  margin: 74px 0px 0px 78px;
  justify-items: start;
  align-items: start;
}
div#HomeLayoutMain main #CompanyName #CompanyLogoName[b-2tra9pge7d] {
  display: grid;
  grid-row: 1/1;
  grid-column: 3/4;
  margin: 90px 0px 0px 40px;
  justify-items: start;
  align-items: start;
}
div#HomeLayoutMain main #Space2[b-2tra9pge7d] {
  display: grid;
  grid-row: 5/6;
  grid-column: 1/1;
  justify-items: center;
  align-items: center;
}
/* /Schedule/Views/ScheduleMain.razor.rz.scp.css */
@charset "UTF-8";
/* メインレイアウト */
div#MainLayoutMain[b-1cfil1d7s5] {
  display: block;
  margin: 0px;
}
